<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/dialogs/content/expansiondialogcontent_text.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dd4/expansiondialogcontent__text_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiondialogcontent_text.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/dd4/expansiondialogcontent__text_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionDialogContent_TextScroller.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d30/class_expansion_dialog_content___text.html">ExpansionDialogContent_Text</a>: <a class="code hl_class" href="../../d3/da5/class_expansion_dialog_content_base.html">ExpansionDialogContentBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">   15</a></span>    ref <a class="code hl_class" href="../../dd/d97/class_expansion_dialog_content___text_controller.html">ExpansionDialogContent_TextController</a> <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">m_TextController</a>; </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a72a1b3aef526ebb1456d3c3fa5ee3989">   16</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a72a1b3aef526ebb1456d3c3fa5ee3989">m_Text</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#ab83aebf4504452f96c1fa3e5a3b526ed">   18</a></span>    RichTextWidget <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#ab83aebf4504452f96c1fa3e5a3b526ed">dialog_text</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a49d87798e2e42f6e314ed45cdd10e8dc">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a49d87798e2e42f6e314ed45cdd10e8dc">ExpansionDialogContent_Text</a>(<a class="code hl_class" href="../../d7/d1b/class_expansion_dialog_base.html">ExpansionDialogBase</a> dialog)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d3/da5/class_expansion_dialog_content_base.html#a4d187efbb33bad35ff8395171f3fea9c">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">m_TextController</a>)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">m_TextController</a> = <a class="code hl_class" href="../../dd/d97/class_expansion_dialog_content___text_controller.html">ExpansionDialogContent_TextController</a>.Cast(GetController());</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a713fd2a764f54154e1b0eb737fece8d6">SetContent</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#afc8dd53dc45a0adfbe5524c199bcd26b">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#afc8dd53dc45a0adfbe5524c199bcd26b">GetLayoutFile</a>() </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/mvc/dialogs/expansion_dialog_text.layout&quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a24d0984c5f361b125785f7bff00616c1">   35</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a24d0984c5f361b125785f7bff00616c1">GetControllerType</a>() </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d97/class_expansion_dialog_content___text_controller.html">ExpansionDialogContent_TextController</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a683cccb35772e09abb5a3d398b4c0b38">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a683cccb35772e09abb5a3d398b4c0b38">SetText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a72a1b3aef526ebb1456d3c3fa5ee3989">m_Text</a> = text;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a713fd2a764f54154e1b0eb737fece8d6">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a713fd2a764f54154e1b0eb737fece8d6">SetContent</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {   </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">m_TextController</a>.<a class="code hl_variable" href="../../dd/d97/class_expansion_dialog_content___text_controller.html#a7d4f22ee96ddf9fa6f50a44cff3bc708">Text</a> = <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a72a1b3aef526ebb1456d3c3fa5ee3989">m_Text</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">m_TextController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;Text&quot;</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#aa4035fbc9b4cc4a6d2ce4587ca00788c">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#aa4035fbc9b4cc4a6d2ce4587ca00788c">OnShow</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        super.OnShow();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a713fd2a764f54154e1b0eb737fece8d6">SetContent</a>();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d4/d30/class_expansion_dialog_content___text.html#a2bfad1fc750793255a6c44f65531157e">   58</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d30/class_expansion_dialog_content___text.html#a2bfad1fc750793255a6c44f65531157e">SetTextColor</a>(<span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d4/d30/class_expansion_dialog_content___text.html#ab83aebf4504452f96c1fa3e5a3b526ed">dialog_text</a>.SetColor(color);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>};</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../dd/d97/class_expansion_dialog_content___text_controller.html">   64</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d97/class_expansion_dialog_content___text_controller.html">ExpansionDialogContent_TextController</a>: <a class="code hl_class" href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>{</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../dd/d97/class_expansion_dialog_content___text_controller.html#a7d4f22ee96ddf9fa6f50a44cff3bc708">   66</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/d97/class_expansion_dialog_content___text_controller.html#a7d4f22ee96ddf9fa6f50a44cff3bc708">Text</a>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>}</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="keyword">class </span><a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a>: <a class="code hl_class" href="../../db/d32/class_expansion_menu_dialog_content_base.html">ExpansionMenuDialogContentBase</a></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>{</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">   71</a></span>    ref <a class="code hl_class" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html">ExpansionMenuDialogContent_TextController</a> <a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">m_TextController</a>; </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#af5260a044e7e2e3996533ab172c2b342">   72</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/dfc/expansionnotificationsystem_8c.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1a501a8971a2838045fd057e30e25b1e">   74</a></span>    RichTextWidget <a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1a501a8971a2838045fd057e30e25b1e">dialog_text</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a3a744778e6fcfabd0b481b677172bc9b">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a>(<a class="code hl_class" href="../../d9/db6/class_expansion_menu_dialog_base.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        m_Dialog = dialog;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">m_TextController</a>)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">m_TextController</a> = <a class="code hl_class" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html">ExpansionMenuDialogContent_TextController</a>.Cast(GetController());</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#af50c208477ace3db233bfb6243901f7c">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d18/expansiondialogcontent__editbox_8c.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a>() </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/mvc/dialogs/expansion_menu_dialog_text.layout&quot;</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#aae475e0b4d95b152ef3e68af16944a01">   89</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d5/d18/expansiondialogcontent__editbox_8c.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a>() </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html">ExpansionMenuDialogContent_TextController</a>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#ad37cd855eec1e2636806ff274469540a">   94</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#ad37cd855eec1e2636806ff274469540a">GetText</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/dfc/expansionnotificationsystem_8c.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a47a3d1a4bd1182cef70d052c48bc5eb7">   99</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#a47a3d1a4bd1182cef70d052c48bc5eb7">SetText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <a class="code hl_variable" href="../../de/dfc/expansionnotificationsystem_8c.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a> = text;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a145033b88bc00b5e2dc75940a0b6ddb8">  104</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#a145033b88bc00b5e2dc75940a0b6ddb8">SetContent</a>()</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    {   </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">m_TextController</a>.<a class="code hl_variable" href="../../dd/d97/class_expansion_dialog_content___text_controller.html#a7d4f22ee96ddf9fa6f50a44cff3bc708">Text</a> = <a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#ad37cd855eec1e2636806ff274469540a">GetText</a>();</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">m_TextController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;Text&quot;</span>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a44c86b20c27f7a8ddb7c1337e9538f80">  110</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#af6b3d0a2b90bba2574eaeeaec147e008">OnShow</a>()</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        super.OnShow();</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_function" href="../../de/dd4/expansiondialogcontent__text_8c.html#a145033b88bc00b5e2dc75940a0b6ddb8">SetContent</a>();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../de/dd4/expansiondialogcontent__text_8c.html#a8a8a420577d32cf39a2ac11d1e97c537">  117</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d18/expansiondialogcontent__editbox_8c.html#a8a8a420577d32cf39a2ac11d1e97c537">SetTextColor</a>(<span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_variable" href="../../de/dd4/expansiondialogcontent__text_8c.html#a1a501a8971a2838045fd057e30e25b1e">dialog_text</a>.SetColor(color);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>};</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html">  123</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html">ExpansionMenuDialogContent_TextController</a>: <a class="code hl_class" href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>{</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html#a29945c7ffad07b554df4fea25411cbd1">  125</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html#a29945c7ffad07b554df4fea25411cbd1">Text</a>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>}</div>
<div class="ttc" id="aclass_expansion_dialog_base_html"><div class="ttname"><a href="../../d7/d1b/class_expansion_dialog_base.html">ExpansionDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d30/expansiondialogbase_8c_source.html#l00039">expansiondialogbase.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_controller_html"><div class="ttname"><a href="../../dd/d97/class_expansion_dialog_content___text_controller.html">ExpansionDialogContent_TextController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00064">expansiondialogcontent_text.c:65</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_controller_html_a7d4f22ee96ddf9fa6f50a44cff3bc708"><div class="ttname"><a href="../../dd/d97/class_expansion_dialog_content___text_controller.html#a7d4f22ee96ddf9fa6f50a44cff3bc708">ExpansionDialogContent_TextController::Text</a></div><div class="ttdeci">string Text</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00066">expansiondialogcontent_text.c:66</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html">ExpansionDialogContent_Text</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00013">expansiondialogcontent_text.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a24d0984c5f361b125785f7bff00616c1"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a24d0984c5f361b125785f7bff00616c1">ExpansionDialogContent_Text::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00035">expansiondialogcontent_text.c:35</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a2bfad1fc750793255a6c44f65531157e"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a2bfad1fc750793255a6c44f65531157e">ExpansionDialogContent_Text::SetTextColor</a></div><div class="ttdeci">void SetTextColor(int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00058">expansiondialogcontent_text.c:58</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a49d87798e2e42f6e314ed45cdd10e8dc"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a49d87798e2e42f6e314ed45cdd10e8dc">ExpansionDialogContent_Text::ExpansionDialogContent_Text</a></div><div class="ttdeci">void ExpansionDialogContent_Text(ExpansionDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00020">expansiondialogcontent_text.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a683cccb35772e09abb5a3d398b4c0b38"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a683cccb35772e09abb5a3d398b4c0b38">ExpansionDialogContent_Text::SetText</a></div><div class="ttdeci">void SetText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00040">expansiondialogcontent_text.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a713fd2a764f54154e1b0eb737fece8d6"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a713fd2a764f54154e1b0eb737fece8d6">ExpansionDialogContent_Text::SetContent</a></div><div class="ttdeci">void SetContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00045">expansiondialogcontent_text.c:45</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a72a1b3aef526ebb1456d3c3fa5ee3989"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a72a1b3aef526ebb1456d3c3fa5ee3989">ExpansionDialogContent_Text::m_Text</a></div><div class="ttdeci">private string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00016">expansiondialogcontent_text.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_a982d40252be7e42020542d58ebcaaa96"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#a982d40252be7e42020542d58ebcaaa96">ExpansionDialogContent_Text::m_TextController</a></div><div class="ttdeci">ref ExpansionDialogContent_TextController m_TextController</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00015">expansiondialogcontent_text.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_aa4035fbc9b4cc4a6d2ce4587ca00788c"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#aa4035fbc9b4cc4a6d2ce4587ca00788c">ExpansionDialogContent_Text::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00051">expansiondialogcontent_text.c:51</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_ab83aebf4504452f96c1fa3e5a3b526ed"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#ab83aebf4504452f96c1fa3e5a3b526ed">ExpansionDialogContent_Text::dialog_text</a></div><div class="ttdeci">RichTextWidget dialog_text</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00018">expansiondialogcontent_text.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content___text_html_afc8dd53dc45a0adfbe5524c199bcd26b"><div class="ttname"><a href="../../d4/d30/class_expansion_dialog_content___text.html#afc8dd53dc45a0adfbe5524c199bcd26b">ExpansionDialogContent_Text::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00030">expansiondialogcontent_text.c:30</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content_base_html"><div class="ttname"><a href="../../d3/da5/class_expansion_dialog_content_base.html">ExpansionDialogContentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d30/expansiondialogbase_8c_source.html#l00152">expansiondialogbase.c:153</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_content_base_html_a4d187efbb33bad35ff8395171f3fea9c"><div class="ttname"><a href="../../d3/da5/class_expansion_dialog_content_base.html#a4d187efbb33bad35ff8395171f3fea9c">ExpansionDialogContentBase::m_Dialog</a></div><div class="ttdeci">ref ExpansionDialogBase m_Dialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d30/expansiondialogbase_8c_source.html#l00154">expansiondialogbase.c:154</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_base_html"><div class="ttname"><a href="../../d9/db6/class_expansion_menu_dialog_base.html">ExpansionMenuDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00013">expansionmenudialogbase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_controller_html"><div class="ttname"><a href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html">ExpansionMenuDialogContent_TextController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00123">expansiondialogcontent_text.c:124</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_controller_html_a29945c7ffad07b554df4fea25411cbd1"><div class="ttname"><a href="../../d8/df6/class_expansion_menu_dialog_content___text_controller.html#a29945c7ffad07b554df4fea25411cbd1">ExpansionMenuDialogContent_TextController::Text</a></div><div class="ttdeci">string Text</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00125">expansiondialogcontent_text.c:125</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content_base_html"><div class="ttname"><a href="../../db/d32/class_expansion_menu_dialog_content_base.html">ExpansionMenuDialogContentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00182">expansionmenudialogbase.c:183</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_af6b3d0a2b90bba2574eaeeaec147e008"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#af6b3d0a2b90bba2574eaeeaec147e008">ExpansionScriptViewBase::OnShow</a></div><div class="ttdeci">void OnShow()</div></div>
<div class="ttc" id="aclass_expansion_view_controller_html"><div class="ttname"><a href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__editbox_8c_html_a8a8a420577d32cf39a2ac11d1e97c537"><div class="ttname"><a href="../../d5/d18/expansiondialogcontent__editbox_8c.html#a8a8a420577d32cf39a2ac11d1e97c537">SetTextColor</a></div><div class="ttdeci">void SetTextColor(int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d18/expansiondialogcontent__editbox_8c_source.html#l00094">expansiondialogcontent_editbox.c:94</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__editbox_8c_html_aae475e0b4d95b152ef3e68af16944a01"><div class="ttname"><a href="../../d5/d18/expansiondialogcontent__editbox_8c.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d18/expansiondialogcontent__editbox_8c_source.html#l00072">expansiondialogcontent_editbox.c:72</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__editbox_8c_html_af50c208477ace3db233bfb6243901f7c"><div class="ttname"><a href="../../d5/d18/expansiondialogcontent__editbox_8c.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d18/expansiondialogcontent__editbox_8c_source.html#l00067">expansiondialogcontent_editbox.c:67</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__text_8c_html_a145033b88bc00b5e2dc75940a0b6ddb8"><div class="ttname"><a href="../../de/dd4/expansiondialogcontent__text_8c.html#a145033b88bc00b5e2dc75940a0b6ddb8">SetContent</a></div><div class="ttdeci">void SetContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00104">expansiondialogcontent_text.c:104</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__text_8c_html_a1a501a8971a2838045fd057e30e25b1e"><div class="ttname"><a href="../../de/dd4/expansiondialogcontent__text_8c.html#a1a501a8971a2838045fd057e30e25b1e">dialog_text</a></div><div class="ttdeci">RichTextWidget dialog_text</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00074">expansiondialogcontent_text.c:74</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__text_8c_html_a1f12cb6dca45dcd1307492b6b1fe8490"><div class="ttname"><a href="../../de/dd4/expansiondialogcontent__text_8c.html#a1f12cb6dca45dcd1307492b6b1fe8490">m_TextController</a></div><div class="ttdeci">ExpansionDialogContent_TextController m_TextController</div></div>
<div class="ttc" id="aexpansiondialogcontent__text_8c_html_a3a744778e6fcfabd0b481b677172bc9b"><div class="ttname"><a href="../../de/dd4/expansiondialogcontent__text_8c.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a></div><div class="ttdeci">void ExpansionMenuDialogContent_Text(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00076">expansiondialogcontent_text.c:76</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__text_8c_html_a47a3d1a4bd1182cef70d052c48bc5eb7"><div class="ttname"><a href="../../de/dd4/expansiondialogcontent__text_8c.html#a47a3d1a4bd1182cef70d052c48bc5eb7">SetText</a></div><div class="ttdeci">void SetText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00099">expansiondialogcontent_text.c:99</a></div></div>
<div class="ttc" id="aexpansiondialogcontent__text_8c_html_ad37cd855eec1e2636806ff274469540a"><div class="ttname"><a href="../../de/dd4/expansiondialogcontent__text_8c.html#ad37cd855eec1e2636806ff274469540a">GetText</a></div><div class="ttdeci">string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd4/expansiondialogcontent__text_8c_source.html#l00094">expansiondialogcontent_text.c:94</a></div></div>
<div class="ttc" id="aexpansionnotificationsystem_8c_html_a0c7e8a2d151c2e6caa53bbfd4af52de2"><div class="ttname"><a href="../../de/dfc/expansionnotificationsystem_8c.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a></div><div class="ttdeci">protected T m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dfc/expansionnotificationsystem_8c_source.html#l00134">expansionnotificationsystem.c:134</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_a010632d5636c220a8f3f7c7edce9061.html">mvc</a></li><li class="navelem"><a class="el" href="../../dir_1621b81b9785d73209c7f4c12fbe6bef.html">scriptviews</a></li><li class="navelem"><a class="el" href="../../dir_b210f870da4a8116d3a8d204a3e2c636.html">dialogs</a></li><li class="navelem"><a class="el" href="../../dir_3e5fc1898a02def983b8daf667df4224.html">content</a></li><li class="navelem"><a class="el" href="../../de/dd4/expansiondialogcontent__text_8c.html">expansiondialogcontent_text.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
